Debian Bug report logs - #694124
jless/382-iso262-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Tatsuki Sugiura <sugi@nemui.org>

Date: Sat, 24 Nov 2012 06:51:02 UTC

Severity: normal

Tags: confirmed

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694124; Package release.debian.org. (Sat, 24 Nov 2012 06:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuki Sugiura <sugi@nemui.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Nov 2012 06:51:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tatsuki Sugiura <sugi@nemui.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: jless/382-iso262-2.1
Date: Sat, 24 Nov 2012 15:49:54 +0900
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Please unblock package jless.

Here is a fix for serious bugs (#684633, #680632 and #433086)
with minimal changes.

diff -u jless-382-iso262/debian/changelog jless-382-iso262/debian/changelog
--- jless-382-iso262/debian/changelog
+++ jless-382-iso262/debian/changelog
@@ -1,3 +1,10 @@
+jless (382-iso262-3) unstable; urgency=low
+
+  * Fix hang-up problem with gcc optimization. (#684633, #680632)
+  * Fix abort when JLESSCHARSET is not set. (#433086)
+
+ -- Tatsuki Sugiura <sugi@nemui.org>  Sat, 24 Nov 2012 12:06:47 +0900
+
 jless (382-iso262-2.1) unstable; urgency=low
 
   * Non-maintainer upload.
diff -u jless-382-iso262/debian/patches/00list jless-382-iso262/debian/patches/00list
--- jless-382-iso262/debian/patches/00list
+++ jless-382-iso262/debian/patches/00list
@@ -6,0 +7 @@
+fix-hang-with-optimization
diff -u jless-382-iso262/debian/patches/less-382-iso259-260.dpatch jless-382-iso262/debian/patches/less-382-iso259-260.dpatch
--- jless-382-iso262/debian/patches/less-382-iso259-260.dpatch
+++ jless-382-iso262/debian/patches/less-382-iso259-260.dpatch
@@ -1963,7 +1963,7 @@
 +
 +	cs = CS2CHARSET(cs);
 +
-+	assert(0);
++	//assert(0);
 +	if (cs == ASCII || cs == JISX0201ROMAN)
 +	{
 +		assert(cvindex == 1);
@@ -1985,7 +1985,7 @@
 +		cvindex = 0;
 +		return (cvbuffer);
 +	}
-+	assert(0);
++	//assert(0);
 +	cvindex = 0;
 +	return (cvbuffer);
 +}
only in patch2:
unchanged:
--- jless-382-iso262.orig/debian/patches/fix-hang-with-optimization.dpatch
+++ jless-382-iso262/debian/patches/fix-hang-with-optimization.dpatch
@@ -0,0 +1,19 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## fix-hang-with-optimization.dpatch by  <sugi@nemui.org>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Fix hang-up problem with large file.
+
+@DPATCH@
+diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' jless~/ch.c jless/ch.c
+--- jless~/ch.c	2012-11-24 13:43:46.000000000 +0900
++++ jless/ch.c	2012-11-24 13:45:28.000000000 +0900
+@@ -91,7 +91,7 @@
+ 	thisfile->hashtbl[h].buf_hnext->hprev = (bp); \
+ 	thisfile->hashtbl[h].buf_hnext = (bp);
+ 
+-static struct filestate *thisfile;
++volatile static struct filestate *thisfile;
+ static int ch_ungotchar = -1;
+ static int maxbufs = -1;
+ 


unblock jless/382-iso262-2.1

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (1, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.6.6 (SMP w/4 CPU cores; PREEMPT)
Locale: LANG=en_US.utf-8, LC_CTYPE=ja_JP.utf-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash



Changed Bug title to 'jless/382-iso262-3' from 'unblock: jless/382-iso262-2.1' Request was from Tatsuki Sugiura <sugi@nemui.org> to control@bugs.debian.org. (Sat, 24 Nov 2012 07:39:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694124; Package release.debian.org. (Sat, 24 Nov 2012 09:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Niels Thykier <niels@thykier.net>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Nov 2012 09:12:05 GMT) Full text and rfc822 format available.

Message #12 received at 694124@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Tatsuki Sugiura <sugi@nemui.org>, 694124@bugs.debian.org
Subject: Re: Bug#694124: unblock: jless/382-iso262-2.1
Date: Sat, 24 Nov 2012 10:07:41 +0100
Control: tags -1 confirmed

On 2012-11-24 07:49, Tatsuki Sugiura wrote:
> Package: release.debian.org
> Severity: normal
> User: release.debian.org@packages.debian.org
> Usertags: unblock
> 
> Please unblock package jless.
> 
> Here is a fix for serious bugs (#684633, #680632 and #433086)
> with minimal changes.
> 

They all appear to be important and normal (versus serious)?  Anyhow,
that is still enough for an unblock via sid.

> diff -u jless-382-iso262/debian/changelog jless-382-iso262/debian/changelog
> [...]
> 
> 
> unblock jless/382-iso262-2.1
> 
> [...]

Looks fine, feel free to go ahead.  Please reply back to this bug once
the fixed version has been in sid for a couple of dates (and it has been
rebuilt successfully on all relevant architectures).

~Niels




Added tag(s) confirmed. Request was from Niels Thykier <niels@thykier.net> to 694124-submit@bugs.debian.org. (Sat, 24 Nov 2012 09:12:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#694124; Package release.debian.org. (Sat, 24 Nov 2012 12:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tatsuki Sugiura <sugi@nemui.org>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Sat, 24 Nov 2012 12:51:03 GMT) Full text and rfc822 format available.

Message #19 received at 694124@bugs.debian.org (full text, mbox):

From: Tatsuki Sugiura <sugi@nemui.org>
To: Niels Thykier <niels@thykier.net>
Cc: 694124@bugs.debian.org
Subject: Re: Bug#694124: unblock: jless/382-iso262-2.1
Date: Sat, 24 Nov 2012 21:43:38 +0900
Hello, 

Thank you for your quick comment!

>>> In Message "Re: Bug#694124: unblock: jless/382-iso262-2.1"
>>>            <50B08E5D.1000708@thykier.net>,
>>> Niels Thykier <niels@thykier.net>  said;
> > Here is a fix for serious bugs (#684633, #680632 and #433086)
> > with minimal changes.
> > 

> They all appear to be important and normal (versus serious)?  Anyhow,
> that is still enough for an unblock via sid.

Oh, I consider this bug is serious for RC. So I changed severity.
After this unblock request.

> > unblock jless/382-iso262-2.1
> > 
> > [...]

> Looks fine, feel free to go ahead.  Please reply back to this bug once
> the fixed version has been in sid for a couple of dates (and it has been
> rebuilt successfully on all relevant architectures).

And I'm sorry. I mistook on the version of this request.
I already retitled the bug to jless/382-iso262-3 by control request.

Is it OK for upload to unstable by retitling?
Or do I need re-send new unblock request with proper version?

Regards,
-- 
Tatsuki Sugiura   mailto:sugi@nemui.org



Added indication that bug 694124 blocks 680632,684633 Request was from Tatsuki Sugiura <sugi@nemui.org> to control@bugs.debian.org. (Mon, 26 Nov 2012 06:27:04 GMT) Full text and rfc822 format available.

Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Tue, 27 Nov 2012 22:45:04 GMT) Full text and rfc822 format available.

Notification sent to Tatsuki Sugiura <sugi@nemui.org>:
Bug acknowledged by developer. (Tue, 27 Nov 2012 22:45:04 GMT) Full text and rfc822 format available.

Message #26 received at 694124-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Tatsuki Sugiura <sugi@nemui.org>, 694124-done@bugs.debian.org
Subject: Re: Bug#694124: unblock: jless/382-iso262-2.1
Date: Tue, 27 Nov 2012 23:42:00 +0100
On 2012-11-24 13:43, Tatsuki Sugiura wrote:
> Hello, 
> 
> Thank you for your quick comment!
> 
>>>> In Message "Re: Bug#694124: unblock: jless/382-iso262-2.1"
>>>>            <50B08E5D.1000708@thykier.net>,
>>>> Niels Thykier <niels@thykier.net>  said;
>>> Here is a fix for serious bugs (#684633, #680632 and #433086)
>>> with minimal changes.
>>>
> 
>> They all appear to be important and normal (versus serious)?  Anyhow,
>> that is still enough for an unblock via sid.
> 
> Oh, I consider this bug is serious for RC. So I changed severity.
> After this unblock request.
> 
>>> unblock jless/382-iso262-2.1
>>>
>>> [...]
> 
>> Looks fine, feel free to go ahead.  Please reply back to this bug once
>> the fixed version has been in sid for a couple of dates (and it has been
>> rebuilt successfully on all relevant architectures).
> 
> And I'm sorry. I mistook on the version of this request.
> I already retitled the bug to jless/382-iso262-3 by control request.
> 
> Is it OK for upload to unstable by retitling?
> Or do I need re-send new unblock request with proper version?
> 
> Regards,

Generally speaking, retitling an existing bug will be fine.

However, as I have just unblocked jless/382-iso262-3 (and thus will be
closing the bug now), there is no need to do it in this case.

Thanks for the fixes.  :)

~Niels




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 26 Dec 2012 07:25:57 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:34:03 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.